OpenVDB: Sampler< Order, Staggered > Struct Template Reference

OpenVDB 3.1.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
Sampler< Order, Staggered > Struct Template Reference

Provises a unified interface for sampling, i.e. interpolation. More...

`#include <Interpolation.h>`

Inherited by TileSampler< Sampler, TreeT >.

## Public Member Functions
| BOOST_STATIC_ASSERT (Order< 3)

## Static Public Member Functions
static const char * | name ()
static int | radius ()
static bool | mipmap ()
static bool | consistent ()
static bool | staggered ()
static size_t | order ()
template<class TreeT >
static bool | sample (const TreeT &inTree, const Vec3R &inCoord, typename TreeT::ValueType &result)
| Sample inTree at the floating-point index coordinate inCoord and store the result in result. More...
template<class TreeT >
static TreeT::ValueType | sample (const TreeT &inTree, const Vec3R &inCoord)
| Sample inTree at the floating-point index coordinate inCoord. More...

## Detailed Description

### template<size_t Order, bool Staggered = false>
struct openvdb::v3_1_0::tools::Sampler< Order, Staggered >

Provises a unified interface for sampling, i.e. interpolation.

Order = 0: closest point Order = 1: tri-linear Order = 2: tri-quadratic Staggered: Set to true for MAC grids

## Member Function Documentation

BOOST_STATIC_ASSERT | ( |  | ) |

static bool consistent | ( |  | ) |
| static

static bool mipmap | ( |  | ) |
| static

static const char* name | ( |  | ) |
| static

static size_t order | ( |  | ) |
| static

static int radius | ( |  | ) |
| static

static bool sample | ( | const TreeT & | inTree,
|  | const Vec3R & | inCoord,
|  | typename TreeT::ValueType & | result
| ) |  |
| static

Sample inTree at the floating-point index coordinate inCoord and store the result in result.

Returns
  `true` if the sampled value is active.

static TreeT::ValueType sample | ( | const TreeT & | inTree,
|  | const Vec3R & | inCoord
| ) |  |
| static

Sample inTree at the floating-point index coordinate inCoord.

Returns
  the reconstructed value

static bool staggered | ( |  | ) |
| static

The documentation for this struct was generated from the following file:

- Interpolation.h